package CRSDK;

@SuppressWarnings("unused")
public enum CrCameraDeviceModelList {
    CrCameraDeviceModel_ILCE_7RM4(0),
    CrCameraDeviceModel_ILCE_9M2(1),
    CrCameraDeviceModel_ILCE_7C(2),
    CrCameraDeviceModel_ILCE_7SM3(3),
    CrCameraDeviceModel_ILCE_1(4),
    CrCameraDeviceModel_ILCE_7RM4A(5),
    CrCameraDeviceModel_DSC_RX0M2(6),
    CrCameraDeviceModel_ILCE_7M4(7),
    CrCameraDeviceModel_ILME_FX3(8),
    CrCameraDeviceModel_ILME_FX30(9),
    CrCameraDeviceModel_ILME_FX6(10),
    CrCameraDeviceModel_ILCE_7RM5(11),
    CrCameraDeviceModel_ZV_E1(12),
    CrCameraDeviceModel_ILCE_6700(13),
    CrCameraDeviceModel_ILCE_7CM2(14),
    CrCameraDeviceModel_ILCE_7CR(15),
    CrCameraDeviceModel_ILX_LR1(16),
    CrCameraDeviceModel_MPC_2610(17),
    CrCameraDeviceModel_ILCE_9M3(18),
    CrCameraDeviceModel_ZV_E10M2(19),
    CrCameraDeviceModel_PXW_Z200(20),
    CrCameraDeviceModel_HXR_NX800(21),
    CrCameraDeviceModel_ILCE_1M2(22),
    CrCameraDeviceModel_ILME_FX3A(23),
    CrCameraDeviceModel_BRC_AM7(24),
    CrCameraDeviceModel_ILME_FR7(25),
    CrCameraDeviceModel_ILME_FX2(26);

    private final CrInt32u value;
    CrCameraDeviceModelList(int value) {
        this.value = new CrInt32u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
